jQuery(function ($) {
    $(document).on("click", ".btn.add-new", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                template: 'add-anagrafica'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }
        });
        return false;
    });
    $(document).on("submit", "form[name='add-anagrafica']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            type: 'POST',
            dataType: "json",
            url: 'index.php',
            data: $(this).parents(".modal").find("form").serialize()
        }).done(function (response) {
            unloader();
            if (response.data.status && response.data.script) {
                eval(response.data.script);
            }
        });
        return false;
    });

    $(document).on("click", "form[name='add-anagrafica'] .items .btn.btn-success", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var cloned = $(this).parents(".element").clone();
        $(cloned).find("input").val("");
        $(this).parents(".items").append($(cloned));
        return false;
    });
    $(document).on("click", "form[name='add-anagrafica'] .element .btn.btn-danger", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).parents(".element").remove();
        return false;
    });
    $(document).on("click", ".btn.edit", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                idAnagrafica: $(this).parents("tr").data("id"),
                template: 'edit-anagrafica'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }
        });
    });
    $(document).on("click", ".btn.remove", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        if (confirm(Joomla.JText._('COM_REDSTAMP_CONFIRM_DELANAGRAFICA'))) {
            var row = $(this).parents("tr");
            loader();
            $.ajax({
                dataType: "json",
                url: 'index.php?options=com_redstamp&task=anagrafiche.remove&format=raw',
                data: {
                    idAnagrafica: $(row).data("id")
                }
            }).done(function (response) {
                unloader();
                if (response.data.status) {
                    $(row).remove();
                }
            });
        }
    });
});