<?php
if (JRequest::getVar("idAnagrafica")) {
    $item = $this->getModel("Anagrafiche")->getAnagrafica(JRequest::getVar("idAnagrafica"));
}

$province = redstampHelper::get_province();
?>

<form name='add-anagrafica' method='POST' ation='' class="form-validate">
    <div class='row'>
        <div class="clearfix">
            <div class="col-sm-12 control-group has-icon">
                <input name="ragioneSociale" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_RAGIONESOCIALE") ?> *" value="<?php echo $item->ragioneSociale ?>">
                <i class="fa fa-building control-group-icon"></i>
            </div>
            <div class="col-sm-12 control-group has-icon">
                <input name="indirizzo" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_INDIRIZZO") ?> *" value="<?php echo $item->indirizzo ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="clearfix"></div>
            <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                <input name="comune" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_COMUNE") ?> *" value="<?php echo $item->comune ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                <input name="cap" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_CAP") ?> *" value="<?php echo $item->cap ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                <select name="provincia" class="required has-icon-left">
                    <option value="" selected disabled><?php echo JText::_("COM_REDSTAMP_PROVINCIA") ?> *</option>
                    <?php foreach ($province as $cod => $prov) { ?>
                        <option value="<?php echo $cod ?>" <?php echo ($cod == $item->provincia ? "selected='selected'" : null) ?>><?php echo $prov ?></option>
                    <?php } ?>
                </select>
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="clearfix"></div>
            <div class="col-sm-5 control-group has-icon" style="margin-top: 15px;">
                <input name="pIVA" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_PIVA") ?> *" value="<?php echo $item->pIVA ?>">
                <i class="fa fa-eur control-group-icon"></i>
            </div>
            <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                <input name="codiceFiscale" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_CODICEFISCALE") ?>" value="<?php echo $item->codiceFiscale ?>">
                <i class="fa fa-eur control-group-icon"></i>
            </div>
            <div class="col-sm-3 control-group has-icon" style="margin-top: 15px;">

                <select name="iva" class="required has-icon-left">
                    <option value="" selected disabled><?php echo JText::_("COM_REDSTAMP_IVA") ?> *</option>
                    <option value="0" <?php echo ($item->iva == 0 ? "selected='selected'" : null) ?>>0</option>
                    <option value="4" <?php echo ($item->iva == 4 ? "selected='selected'" : null) ?>>4</option>
                    <option value="10" <?php echo ($item->iva == 10 ? "selected='selected'" : null) ?>>10</option>
                    <option value="22" <?php echo ($item->iva == 22 ? "selected='selected'" : null) ?>>22</option>
                </select>
                <i class="fa fa-percent control-group-icon"></i>
            </div>
            <div class="clearfix"></div>
            <div class="col-sm-6 control-group has-icon" style="margin-top: 15px;">
                <input name="telefono" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_TELEFONO") ?> *" value="<?php echo $item->telefono ?>">
                <i class="fa fa-phone control-group-icon"></i>
            </div>
            <div class="col-sm-6 control-group has-icon" style="margin-top: 15px;">
                <input name="telefono2" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_TELEFONO2") ?>" value="<?php echo $item->telefono2 ?>">
                <i class="fa fa-phone control-group-icon"></i>
            </div>
            <div class="clearfix"></div>
            <div class="col-sm-6 control-group has-icon" style="margin-top: 15px;">
                <input name="email" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_EMAIL") ?> *" value="<?php echo $item->email ?>">
                <i class="fa fa-envelope control-group-icon"></i>
            </div>
            <div class="col-sm-6 control-group has-icon" style="margin-top: 15px;">
                <input name="fax" type="text" class=" has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_FAX") ?> *" value="<?php echo $item->fax ?>">
                <i class="fa fa-fax control-group-icon"></i>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <section class="items col-sm-12">
                <h5><?php echo JText::_("COM_REDSTAMP_CONTATTI") ?></h5>
                <?php if ($item->contatti) { ?>
                    <?php foreach ($item->contatti as $contatto) { ?>
                        <div class="element">
                            <div class="row">
                                <div class="col-sm-3 control-group "><input type='text' name='ctnome[]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME") ?>" value="<?php echo $contatto->nome; ?>"/></div>
                                <div class="col-sm-3 control-group "><input type='text' name='ctufficio[]' placeholder="<?php echo JText::_("COM_REDSTAMP_UFFICIO") ?>" value="<?php echo $contatto->ufficio; ?>"/></div>
                                <div class="col-sm-2 control-group "><input name="cttelefono[]" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_TELEFONO") ?>" value="<?php echo $contatto->telefono; ?>"></div>
                                <div class="col-sm-2 control-group "><input type='text' name='ctemail[]' placeholder="<?php echo JText::_("COM_REDSTAMP_EMAIL") ?>" value="<?php echo $contatto->email; ?>"/></div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_CONTATTO") ?>"></button></div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_CONTATTO") ?>"></button></div>
                            </div>
                        </div>
                    <?php } ?>
                <?php } ?>
                <div class="element">
                    <div class="row">
                        <div class="col-sm-3 control-group "><input type='text' name='ctnome[]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME") ?>" value=""/></div>
                        <div class="col-sm-3 control-group "><input type='text' name='ctufficio[]' placeholder="<?php echo JText::_("COM_REDSTAMP_UFFICIO") ?>" value=""/></div>
                        <div class="col-sm-2 control-group "><input name="cttelefono[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_TELEFONO") ?>" value=""></div>
                        <div class="col-sm-2 control-group "><input type='text' name='ctemail[]' placeholder="<?php echo JText::_("COM_REDSTAMP_EMAIL") ?>" value=""/></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_CONTATTO") ?>"></button></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_CONTATTO") ?>"></button></div>
                    </div>
                </div>
            </section>
        </div>
        <hr>
        <div class="clearfix">
            <section class="items col-sm-12">
                <h5><?php echo JText::_("COM_REDSTAMP_INDIRIZZIAGGIUNTIVI") ?></h5>
                <?php if ($item->indirizzi) { ?>
                    <?php foreach ($item->indirizzi as $indirizzo) { ?>
                        <div class="element">
                            <div class="row">
                                <div class="col-sm-12 control-group has-icon">
                                    <input name="adRagioneSociale[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_RAGIONESOCIALE") ?> *" value="<?php echo $indirizzo->ragioneSociale ?>">
                                    <i class="fa fa-building control-group-icon"></i>
                                </div>
                                <div class="col-sm-12 control-group has-icon">
                                    <input name="adindirizzo[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_INDIRIZZO") ?> *" value="<?php echo $indirizzo->indirizzo ?>">
                                    <i class="fa fa-map-marker control-group-icon"></i>
                                </div>
                                <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                                    <input name="adcomune[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_COMUNE") ?> *" value="<?php echo $indirizzo->comune ?>">
                                    <i class="fa fa-map-marker control-group-icon"></i>
                                </div>
                                <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                                    <input name="adcap[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_CAP") ?> *" value="<?php echo $indirizzo->cap ?>">
                                    <i class="fa fa-map-marker control-group-icon"></i>
                                </div>
                                <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                                    <select name="adprovincia[]" class="has-icon-left">
                                        <option value="" selected disabled><?php echo JText::_("COM_REDSTAMP_PROVINCIA") ?> *</option>
                                        <?php foreach ($province as $cod => $prov) { ?>
                                            <option value="<?php echo $cod ?>" <?php echo ($cod == $indirizzo->provincia ? "selected='selected'" : null) ?>><?php echo $prov ?></option>
                                        <?php } ?>
                                    </select>
                                    <i class="fa fa-map-marker control-group-icon"></i>
                                </div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_CONTATTO") ?>"></button></div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_CONTATTO") ?>"></button></div>
                            </div>
                        </div>
                    <?php } ?>
                <?php } ?>
                <div class="element">
                    <div class="row">
                        <div class="col-sm-12 control-group has-icon">
                            <input name="adRagioneSociale[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_RAGIONESOCIALE") ?> *" value="">
                            <i class="fa fa-building control-group-icon"></i>
                        </div>
                        <div class="col-sm-12 control-group has-icon">
                            <input name="adindirizzo[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_INDIRIZZO") ?> *" value="">
                            <i class="fa fa-map-marker control-group-icon"></i>
                        </div>
                        <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                            <input name="adcomune[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_COMUNE") ?> *" value="">
                            <i class="fa fa-map-marker control-group-icon"></i>
                        </div>
                        <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                            <input name="adcap[]" type="text" class="has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_CAP") ?> *" value="">
                            <i class="fa fa-map-marker control-group-icon"></i>
                        </div>
                        <div class="col-sm-4 control-group has-icon" style="margin-top: 15px;">
                            <select name="adprovincia[]" class="has-icon-left">
                                <option value="" selected disabled><?php echo JText::_("COM_REDSTAMP_PROVINCIA") ?> *</option>
                                <?php foreach ($province as $cod => $prov) { ?>
                                    <option value="<?php echo $cod ?>"><?php echo $prov ?></option>
                                <?php } ?>
                            </select>
                            <i class="fa fa-map-marker control-group-icon"></i>
                        </div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_CONTATTO") ?>"></button></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_CONTATTO") ?>"></button></div>
                    </div>
                </div>
            </section>
        </div>
        <hr>
        <div class="clearfix">
            <section class="items col-sm-12">
                <h5>DATI BANCARI</h5>
                <?php if ($item->datibancari) { ?>
                    <?php foreach ($item->datibancari as $dati) { ?>
                        <div class="element">
                            <div class="row">
                                <div class="col-sm-3 control-group "><input type='text' name='intestazione' placeholder="Intestazione" value="<?php echo $dati->intestazione; ?>"/></div>
                                <div class="col-sm-3 control-group "><input type='text' name='IBAN' placeholder="IBAN" value="<?php echo $dati->IBAN; ?>"/></div>
                                <div class="col-sm-2 control-group "><input name="banca" type="text" class="has-icon-left" placeholder="Banca" value="<?php echo $dati->banca; ?>"></div>
                            </div>
                        </div>
                    <?php } ?>
                <?php } else { ?>
                    <div class="element">
                        <div class="row">
                            <div class="col-sm-3 control-group "><input type='text' name='intestazione' placeholder="Intestazione" value=""/></div>
                            <div class="col-sm-3 control-group "><input type='text' name='IBAN' placeholder="IBAN" value=""/></div>
                            <div class="col-sm-2 control-group "><input name="banca" type="text" class="has-icon-left" placeholder="Banca" value=""></div>
                        </div>
                    </div>
                <?php } ?>
            </section>
        </div>
    </div>

    <input type="hidden" name="idAnagrafica" value="<?php echo $item->idAnagrafica ?>"/>
    <input type="hidden" name="option" value="com_redstamp"/>
    <input type="hidden" name="task" value="anagrafiche.save"/>
    <input type="hidden" name="format" value="raw"/>
</form>
<style>
    section.items > div {padding-top: 15px;}
    section.items > div:first-of-type .btn-danger {display: none}
    section.items > div .btn-success {display: none}
    section.items > div:last-of-type .btn-success {display: inline}
    hr {margin-left: 15px; margin-right: 15px;}
</style>