<?php
defined('_JEXEC') or die('Restricted access');
?>
<div class="t3a-toolbar row">
    <div class="btn-group btn-group-small pull-left">
        <a href="javascript:void(0);" class="btn btn-info" data-toggle="collapse" data-target="#t3a-form">
            <span class="fa fa-search"></span> Ricerca
        </a>
    </div>
    <div class="btn-group btn-group-small pull-right">
        <button class="btn btn-success add-new"><span class="glyphicon glyphicon-plus-sign"></span> <?php echo "Nuovo"; ?></button>
        <button class="btn btn-default pubblica"><span class="glyphicon glyphicon-ok-sign"></span> <?php echo "Pubblica"; ?></button>
        <button class="btn btn-warning sospendi"><span class="glyphicon glyphicon glyphicon-minus-sign"></span> <?php echo "Sospendi"; ?></button>
    </div>

    <fieldset class="t3a-form collapse" id="t3a-form">
        <div class="clearfix">
            <div class="col-sm-3">
                <div class='field search'>
                    <input type="search" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo $this->searchterms; ?>" onchange="document.adminForm.submit();"/>
                </div>
            </div>
            <div class="field col-sm-3">
                <div class="btn-group btn-group-small">
                    <button onclick="this.form.submit();" class="btn"><?php echo JText::_('Trova'); ?></button>
                    <button onclick="document.getElementById('filter_search').value = ''; this.form.submit();" class="btn"><?php echo JText::_('Reset'); ?></button>
                </div>
            </div>
        </div>
    </fieldset> 
</div>

<form action="<?php echo JRoute::_('index.php?option=com_redstamp&view=anagrafiche'); ?>" method="post" id="adminForm" class="form-validate" name="anagrafiche">

    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title"><?php echo $this->title ?></h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th width="3%"></th>
                            <th class="center" width="5%">#</th>
                            <th width="27%">Ragione sociale</th>
                            <th width="50%">Indirizzo</th>
                            <th class="center" width="5%">Pubblicato</th>
                            <th class="center" width="5%">Modifica</th>
                            <th class="center" width="5%">Elimina</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="7" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if ($this->items) { ?>
                            <?php foreach ($this->items as $item) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $item->idAnagrafica); ?>
                                <tr data-id="<?php echo $item->idAnagrafica; ?>">
                                    <td class="center"><?php echo $checked; ?></td>
                                    <td class="center"><?php echo $item->idAnagrafica; ?></td>
                                    <td><?php echo $item->ragioneSociale; ?></td>
                                    <td><?php echo $item->indirizzo . ", " . $item->comune . " (" . $item->provincia . ")"; ?></td>
                                    <td class="center"><?php echo ($item->published ? "<i class='fa fa-check-square'></i>" : "<i class='fa fa-square'></i>"); ?></td>
                                    <td class="center"><div class="btn btn-sm edit"><i class="fa fa-edit"></i></div></td>
                                    <td class="center"><div class="btn btn-sm remove"><i class="fa fa-times"></i></div></td>
                                </tr>
                            <?php } ?>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</form>

<div class="modal fade general-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Chiusi"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title"></h4>
            </div>
            <div class="modal-body"></div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo JText::_("COM_REDSTAMP_CLOSE") ?></button>
                <button type="button" class="btn btn-primary"></button>
            </div>
        </div>
    </div>
</div>